openSUSE: 2019:2365-1: moderate: gcc7

    Date 22 Oct 2019
    487
    Posted By LinuxSecurity Advisories
    An update that solves two vulnerabilities and has three fixes is now available.
       openSUSE Security Update: Security update for gcc7
    ______________________________________________________________________________
    
    Announcement ID:    openSUSE-SU-2019:2365-1
    Rating:             moderate
    References:         #1071995 #1141897 #1142649 #1148517 #1149145 
                        
    Cross-References:   CVE-2019-14250 CVE-2019-15847
    Affected Products:
                        openSUSE Leap 15.0
    ______________________________________________________________________________
    
       An update that solves two vulnerabilities and has three
       fixes is now available.
    
    Description:
    
       This update for gcc7 to r275405 fixes the following issues:
    
       Security issues fixed:
    
       - CVE-2019-14250: Fixed an integer overflow in binutils (bsc#1142649).
       - CVE-2019-15847: Fixed an optimization in the POWER9 backend of gcc that
         could reduce the entropy of the random number generator (bsc#1149145).
    
       Non-security issue fixed:
    
       - Move Live Patching technology stack from kGraft to upstream klp
         (bsc#1071995, fate#323487).
    
       This update was imported from the SUSE:SLE-15:Update update project.
    
    
    Patch Instructions:
    
       To install this openSUSE Security Update use the SUSE recommended installation methods
       like YaST online_update or "zypper patch".
    
       Alternatively you can run the command listed for your product:
    
       - openSUSE Leap 15.0:
    
          zypper in -t patch openSUSE-2019-2365=1
    
    
    
    Package List:
    
       - openSUSE Leap 15.0 (i586 x86_64):
    
          cpp7-7.4.1+r275405-lp150.12.1
          cpp7-debuginfo-7.4.1+r275405-lp150.12.1
          gcc7-7.4.1+r275405-lp150.12.1
          gcc7-ada-7.4.1+r275405-lp150.12.1
          gcc7-ada-debuginfo-7.4.1+r275405-lp150.12.1
          gcc7-c++-7.4.1+r275405-lp150.12.1
          gcc7-c++-debuginfo-7.4.1+r275405-lp150.12.1
          gcc7-debuginfo-7.4.1+r275405-lp150.12.1
          gcc7-debugsource-7.4.1+r275405-lp150.12.1
          gcc7-fortran-7.4.1+r275405-lp150.12.1
          gcc7-fortran-debuginfo-7.4.1+r275405-lp150.12.1
          gcc7-go-7.4.1+r275405-lp150.12.1
          gcc7-go-debuginfo-7.4.1+r275405-lp150.12.1
          gcc7-locale-7.4.1+r275405-lp150.12.1
          gcc7-obj-c++-7.4.1+r275405-lp150.12.1
          gcc7-obj-c++-debuginfo-7.4.1+r275405-lp150.12.1
          gcc7-objc-7.4.1+r275405-lp150.12.1
          gcc7-objc-debuginfo-7.4.1+r275405-lp150.12.1
          libada7-7.4.1+r275405-lp150.12.1
          libada7-debuginfo-7.4.1+r275405-lp150.12.1
          libasan4-7.4.1+r275405-lp150.12.1
          libasan4-debuginfo-7.4.1+r275405-lp150.12.1
          libcilkrts5-7.4.1+r275405-lp150.12.1
          libcilkrts5-debuginfo-7.4.1+r275405-lp150.12.1
          libgfortran4-7.4.1+r275405-lp150.12.1
          libgfortran4-debuginfo-7.4.1+r275405-lp150.12.1
          libgo11-7.4.1+r275405-lp150.12.1
          libgo11-debuginfo-7.4.1+r275405-lp150.12.1
          libobjc4-7.4.1+r275405-lp150.12.1
          libobjc4-debuginfo-7.4.1+r275405-lp150.12.1
          libstdc++6-devel-gcc7-7.4.1+r275405-lp150.12.1
          libubsan0-7.4.1+r275405-lp150.12.1
          libubsan0-debuginfo-7.4.1+r275405-lp150.12.1
    
       - openSUSE Leap 15.0 (x86_64):
    
          gcc7-32bit-7.4.1+r275405-lp150.12.1
          gcc7-ada-32bit-7.4.1+r275405-lp150.12.1
          gcc7-c++-32bit-7.4.1+r275405-lp150.12.1
          gcc7-fortran-32bit-7.4.1+r275405-lp150.12.1
          gcc7-go-32bit-7.4.1+r275405-lp150.12.1
          gcc7-obj-c++-32bit-7.4.1+r275405-lp150.12.1
          gcc7-objc-32bit-7.4.1+r275405-lp150.12.1
          libada7-32bit-7.4.1+r275405-lp150.12.1
          libada7-32bit-debuginfo-7.4.1+r275405-lp150.12.1
          libasan4-32bit-7.4.1+r275405-lp150.12.1
          libasan4-32bit-debuginfo-7.4.1+r275405-lp150.12.1
          libcilkrts5-32bit-7.4.1+r275405-lp150.12.1
          libcilkrts5-32bit-debuginfo-7.4.1+r275405-lp150.12.1
          libgfortran4-32bit-7.4.1+r275405-lp150.12.1
          libgfortran4-32bit-debuginfo-7.4.1+r275405-lp150.12.1
          libgo11-32bit-7.4.1+r275405-lp150.12.1
          libgo11-32bit-debuginfo-7.4.1+r275405-lp150.12.1
          libobjc4-32bit-7.4.1+r275405-lp150.12.1
          libobjc4-32bit-debuginfo-7.4.1+r275405-lp150.12.1
          libstdc++6-devel-gcc7-32bit-7.4.1+r275405-lp150.12.1
          libubsan0-32bit-7.4.1+r275405-lp150.12.1
          libubsan0-32bit-debuginfo-7.4.1+r275405-lp150.12.1
    
       - openSUSE Leap 15.0 (noarch):
    
          gcc7-info-7.4.1+r275405-lp150.12.1
    
    
    References:
    
       https://www.suse.com/security/cve/CVE-2019-14250.html
       https://www.suse.com/security/cve/CVE-2019-15847.html
       https://bugzilla.suse.com/1071995
       https://bugzilla.suse.com/1141897
       https://bugzilla.suse.com/1142649
       https://bugzilla.suse.com/1148517
       https://bugzilla.suse.com/1149145
    
    -- 
    

    LinuxSecurity Poll

    Do you feel that the Lawful Access to Encrypted Data Act, which aims to force encryption backdoors, is a threat to US citizens' privacy?

    No answer selected. Please try again.
    Please select either existing option or enter your own, however not both.
    Please select minimum 0 answer(s) and maximum 3 answer(s).
    /main-polls/30-do-you-feel-that-the-lawful-access-to-encrypted-data-act-which-aims-to-force-encryption-backdoors-is-a-threat-to-privacy?task=poll.vote&format=json
    30
    radio
    [{"id":"106","title":"Yes - I am a privacy advocate and I am strongly opposed to this bill.","votes":"7","type":"x","order":"1","pct":100,"resources":[]},{"id":"107","title":"I'm undecided - it has its pros and cons.","votes":"0","type":"x","order":"2","pct":0,"resources":[]},{"id":"108","title":"No - I support this bill and feel that it will help protect against crime and threats to our national security. ","votes":"0","type":"x","order":"3","pct":0,"resources":[]}] ["#ff5b00","#4ac0f2","#b80028","#eef66c","#60bb22","#b96a9a","#62c2cc"] ["rgba(255,91,0,0.7)","rgba(74,192,242,0.7)","rgba(184,0,40,0.7)","rgba(238,246,108,0.7)","rgba(96,187,34,0.7)","rgba(185,106,154,0.7)","rgba(98,194,204,0.7)"] 350
    bottom 200

    Advisories

    Please enable / Bitte aktiviere JavaScript!
    Veuillez activer / Por favor activa el Javascript![ ? ]